> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Flex Access



## OpenAPI

````yaml delete /api/v2/employees/{employeeId}/flex/access
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/employees/{employeeId}/flex/access:
    delete:
      operationId: ApiV2EmployeeFlexController_terminateFlexAccessDetails
      parameters:
        - name: employeeId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TerminateFlexAccessInputDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultOutputDto'
      security:
        - bearer: []
components:
  schemas:
    TerminateFlexAccessInputDto:
      type: object
      properties:
        endDate:
          format: date-time
          type: string
          description: |-
            Make sure the date is UTC+0.

                    To have the access terminated on the end of January 2023, the input would be: 2023-01-31T23:59:59.999Z

                    

                    This can be set up for any date going back in time up to the past 2 months until the 7th of the current month.

                    Example:

                    Current Date 7th of March -> earliest validUntil = 2023-01-31T23:59:59.999Z

                    Current Date 8th of March -> earlierst validUntil = 2023-02-29T23:59:59.999Z 

                    

                    The 7th of march is a reference date that can vary depending on the date of payroll creation.
      required:
        - endDate
    ResultOutputDto:
      type: object
      properties:
        success:
          type: boolean
      required:
        - success
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````